features:
  secondary:
    - name: "Compare repositories and validate if they are the same"
      available_in: [core, starter, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/administration/raketasks/check.html#checksum-of-repository-refs'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Disaster Recovery"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/297548'
      description: |
        One Git repository can be compared to another by checksumming all refs of each repository. If both repositories have the same refs, and if both repositories pass an integrity check, then we can be confident that both repositories are the same. For example, this can be used to compare a backup of a repository against the source repository.

        The new `gitlab:git:checksum_projects` rake task allows systems administrators to select a subset of projects by ID or loop through all projects, and output a checksum of the Git references that can be compared to a copy of the same project.
